Bug 250339

Summary: news/fidogate new version released
Product: Ports & Packages Reporter: Sergey Anokhin <admin>
Component: Individual Port(s)Assignee: Rainer Hurling <rhurlin>
Status: Closed FIXED    
Severity: Affects Only Me CC: rhurlin
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
New port version
none
Patch for new port version
none
Missed line in the patch none

Description Sergey Anokhin 2020-10-14 12:23:20 UTC
Created attachment 218738 [details]
New port version

Hi All,

New version of Fidogate was released.
I upgraded port to latest version.
Pls check it and upgrade current port version to latest
Comment 1 Rainer Hurling freebsd_committer 2020-10-15 08:31:21 UTC
Hi Sergey,

Thanks for your update. Some issues I stumbled about:

(1) This type of update is better submitted as an attaced diff file. A possible way is to temporarily move the original port and diff the updated port against it:

diff -urN news/fidogate.orig news/fidogate > ~/patch-news_fidogate.diff



(2) You change the description of most options into lowercase. I think it is much more common use begin each description with a capital letter?



(3) Trying to build the updated port on Poudriere breaks in the configure phase with the following error:

[..snip..]
checking for library containing regcomp... none required
checking rxposix.h usability... no
checking rxposix.h presence... no
checking for rxposix.h... no
configure: Something from --with-inndir, --with-innetcdir, --with-inndbdir, --with-innspooldir is missing. Detecting
checking for news-library path... innconfval: hostname does not resolve or domain not set in inn.conf
/usr/local/news
checking for rnews... checking for rnews... no
configure: error: rnews not found
===>  Script "configure" failed unexpectedly.
Please report the problem to admin@5034.ru [maintainer] and attach the
"/wrkdirs/usr/ports/news/fidogate/work/fidogate-5.9/config.log" including the
output of the failure of your make command. Also, it might be a good idea to
provide an overview of all packages installed on your system (e.g. a
/usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

Stop.
make: stopped in /usr/ports/news/fidogate
=>> Cleaning up wrkdir
===>  Cleaning for fidogate-5.9
build of news/fidogate | fidogate-5.9 ended at Thu Oct 15 09:44:11 CEST 2020
build time: 00:00:18
!!! build failure encountered !!!



Could you please have a look, what is going on here?
Comment 2 Sergey Anokhin 2020-10-15 18:03:01 UTC
Hi Rainer,

Thank you for quick feedback!
I need to make a few tests on another server.
About low case, seems I got wron port version for the base.
Let me check all once again.

Thanks
Comment 3 Sergey Anokhin 2020-10-15 18:19:41 UTC
Created attachment 218772 [details]
Patch for new port version
Comment 4 Sergey Anokhin 2020-10-15 18:35:11 UTC
It would be great if you can check the patch.

Thanks a lot
Comment 5 Rainer Hurling freebsd_committer 2020-10-15 19:19:45 UTC
(In reply to Sergey Anokhin from comment #4)

Thanks for the second patch. It applies fine.

Unfortunately the configure error, described in the third issue of comment #1, remains:

  'configure: error: rnews not found'

Do you have any idea? (missing dependency, wrong configuration, ...)
Comment 6 Sergey Anokhin 2020-10-15 19:53:54 UTC
I checked line be line patch and seem found missed line.
Pls check attachement

Thanks
Comment 7 Sergey Anokhin 2020-10-15 19:55:11 UTC
Created attachment 218775 [details]
Missed line in the patch

Seems line
INN_CONFIGURE_ON=<----->--with-inndir=${PREFIX}/news
was missed
Comment 8 Rainer Hurling freebsd_committer 2020-10-15 20:06:53 UTC
(In reply to Sergey Anokhin from comment #7)

Hi Sergey,

Thanks for your investigation. It builds and installs now!


Did you test the functionality?
Comment 9 Sergey Anokhin 2020-10-15 20:59:54 UTC
(In reply to Rainer Hurling from comment #8)

To the best of my ability, I tested fidogate 5.9.
I myself am fidogate user. Testing was in both directions rfc2ftn in ftn2rfc. All test messages were received. Also, this release contains special optional wrapper to solve issue with quoting on the way rfc2ftn (since 5.8 version)

Thank you for quick response
Comment 10 Rainer Hurling freebsd_committer 2020-10-15 21:24:16 UTC
(In reply to Sergey Anokhin from comment #9)

Thanks for your detailed explanation on testing the functionality. Really nice.

I opened a review[1] for the update, because I am a new, mentored committer. Normally, I get an approval from my mentors already after a relatively short time ;)


[1] https://reviews.freebsd.org/D26806
Comment 11 Sergey Anokhin 2020-10-15 21:33:18 UTC
(In reply to Rainer Hurling from comment #10)

Great, thank you for the support!
Comment 12 commit-hook freebsd_committer 2020-10-16 10:42:16 UTC
A commit references this bug:

Author: rhurlin
Date: Fri Oct 16 10:41:53 UTC 2020
New revision: 552497
URL: https://svnweb.freebsd.org/changeset/ports/552497

Log:
  news/fidogate: Update to 5.9

  Features[1]:
  - send-fidogate: added 'xct' wrapper which adds X-Comment-To headers to innd batches
  - passwd: separate tic password
  - rfc2ftn: implement default_rfc charset option
  - packaging: distribute .service under debian/ and use it for rpm

  Fixes[1]:
  - Many timezone fixes again
  - username generation
  - mime: handle comments ()
  - memory handling

  [1] https://github.com/ykaliuta/fidogate/releases/tag/v5.9

  PR:		250339
  Submitted by:	Sergey Anokhin <admin@5034.ru> (maintainer)
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D26806

Changes:
  head/news/fidogate/Makefile
  head/news/fidogate/distinfo
  head/news/fidogate/pkg-plist
Comment 13 Rainer Hurling freebsd_committer 2020-10-16 10:44:04 UTC
Committed, thanks :)